## pipewire-media-session 0.4.1

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Build documentation',
       type: 'feature',
       value: 'disabled')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('with-module-sets',
	description : 'Extra modules sets to enable on install (see media-session.conf)',
	type : 'array',
	choices : ['alsa', 'jack', 'pulseaudio'],
	value : ['jack', 'pulseaudio'])

=== debian/changelog ===
pipewire-media-session (0.4.1-2ubuntu1) jammy; urgency=medium

  * Configure with-module-sets="" to disable audio by default (LP: #1953052)
    You can reenable it by creating an empty file:
    /usr/share/pipewire/media-session.d/with-pulseaudio

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Sat, 05 Mar 2022 12:01:39 +0100

pipewire-media-session (0.4.1-2) unstable; urgency=medium

  * Add a conflict with wireplumber as recommended by upstream.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 08 Nov 2021 11:42:53 +0100

pipewire-media-session (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Wed, 03 Nov 2021 09:55:43 +0100

pipewire-media-session (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #997001)
  * Improve d/copyright according to the ftpmasters' comments.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 Oct 2021 22:22:02 +0200

=== debian/control ===
Source: pipewire-media-session
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbus-1-dev,
               libpipewire-0.3-dev (>= 0.3.39),
               libsystemd-dev,
               meson (>= 0.56.0),
               pkg-config (>= 0.22),
               systemd [linux-any]
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire-media-session
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire-media-session.git
Homepage: https://gitlab.freedesktop.org/pipewire/media-session/
Rules-Requires-Root: no

Package: pipewire-media-session
Architecture: linux-any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2),
          pipewire-pulse (<< 0.3.39-1)
Breaks: pipewire-bin (<< 0.3.27-2),
        pipewire-pulse (<< 0.3.39-1)
Conflicts: wireplumber
Depends: pipewire (>= 0.3.39),
         ${misc:Depends},
         ${shlibs:Depends}
Description: example session manager for PipeWire
 PipeWire Media Session is an example session manager for PipeWire.
 .
 Note that it is recommended the use of WirePlumber instead.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dwith-module-sets=""

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/pipewire/media-session/tags?sort=updated_desc \
 archive/@ANY_VERSION@/media-session-\d\S*@ARCHIVE_EXT@

## pipewire-media-session 0.4.2

=== debian/changelog ===
pipewire-media-session (0.4.2-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Dylan Aïssi <daissi@debian.org>  Tue, 31 Jan 2023 09:37:53 +0100

pipewire-media-session (0.4.2-2) unstable; urgency=medium

  * Build new binary packages providing configuration files.
      A wrong combination of pipewire packages can be pulled by
      dependency leading to break audio. See https://bugs.debian.org/1029763
      To avoid this, we need to package these files and adjust dependencies
      on the pipewire side.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Jan 2023 12:01:29 +0100

pipewire-media-session (0.4.2-1) unstable; urgency=medium

  * New upstream (final) release.
     .
     pipewire-media-session is dead and should not be used anymore!
     Please really consider using WirePlumber instead.
     If in doubt, look at the upstream NEWS file.
     .
  * Install upstream NEWS file in /usr/share/doc/pipewire-media-session/
  * Standards-Version: 4.6.2 (no changes needed)
  * Update years in debiam/copyright
  * Bump minimum pipewire to 0.3.44

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Jan 2023 13:56:21 +0100

pipewire-media-session (0.4.1-4) unstable; urgency=medium

  * Add patch removing service alias. This alias is only used to prevent
    wireplumber and pipewire-media-session from being enabled at the same time.
    This is already handled at the package level with a conflict between both,
    thus we can safetly remove alias and avoid the issue with systemd.
    See https://bugs.debian.org/997818

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 Sep 2022 17:38:50 +0200

pipewire-media-session (0.4.1-3) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Configure with-module-sets="" to disable audio by default (LP: #1953052)
     (Closes: #1006364)
    You can reenable it by creating an empty file:
    /usr/share/pipewire/media-session.d/with-pulseaudio
      or/and
    /usr/share/pipewire/media-session.d/with-jack

  [ Dylan Aïssi ]
  * pipewire-media-session is deprecated and should not be used for audio.
    Instead, WirePlumber is the new session manager.
    .
    pipewire-media-session is still installed by default with pipewire
    to allow only screen-sharing, which is not possible with WirePlumber
    without editing config files.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 31 May 2022 22:10:49 +0200

=== debian/control ===
Source: pipewire-media-session
Section: video
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbus-1-dev,
               libpipewire-0.3-dev (>= 0.3.44),
               libsystemd-dev,
               meson (>= 0.56.0),
               pkg-config (>= 0.22),
               systemd [linux-any]
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire-media-session
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire-media-session.git
Homepage: https://gitlab.freedesktop.org/pipewire/media-session/
Rules-Requires-Root: no

Package: pipewire-media-session
Architecture: linux-any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2),
          pipewire-pulse (<< 0.3.39-1)
Breaks: pipewire-bin (<< 0.3.27-2),
        pipewire-pulse (<< 0.3.39-1)
Conflicts: wireplumber
Depends: pipewire (>= 0.3.44),
         ${misc:Depends},
         ${shlibs:Depends}
Description: example session manager for PipeWire
 PipeWire Media Session is an example session manager for PipeWire.
 .
 Note that it is HIGHLY recommended the use of WirePlumber instead.

Package: pipewire-media-session-pulseaudio
Architecture: all
Conflicts: wireplumber
Depends: pipewire-media-session,
         pipewire-pulse,
         ${misc:Depends}
Description: example session manager for PipeWire (pulseaudio)
 PipeWire Media Session is an example session manager for PipeWire.
 .
 This package provide the configuration file to enable the pulseaudio module.
 .
 Note that it is HIGHLY recommended the use of WirePlumber instead.

Package: pipewire-media-session-alsa
Architecture: all
Conflicts: wireplumber
Depends: pipewire-media-session,
         pipewire-alsa,
         ${misc:Depends}
Description: example session manager for PipeWire (alsa)
 PipeWire Media Session is an example session manager for PipeWire.
 .
 This package provide the configuration file to enable the alsa module.
 .
 Note that it is HIGHLY recommended the use of WirePlumber instead.

Package: pipewire-media-session-jack
Architecture: all
Conflicts: wireplumber
Depends: pipewire-media-session,
         pipewire-jack,
         ${misc:Depends}
Description: example session manager for PipeWire (jack)
 PipeWire Media Session is an example session manager for PipeWire.
 .
 This package provide the configuration file to enable the jack module.
 .
 Note that it is HIGHLY recommended the use of WirePlumber instead.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_MESON_OPTIONS = -Dwith-module-sets="alsa, jack, pulseaudio"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_MESON_OPTIONS)
